Emails
List emails sent through the API (scope: emails:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
page?integerperPage?integersince?stringFormat
date-timestatus?stringValue in
"queued""sent""delivered""bounced""complained""suppressed""failed"OK
application/json- response
data*array<>meta?error*nullcurl -X GET "https://example.com/emails"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "category": "transactional", "from": "string", "subject": "string", "recipients": [ { "email": "user@example.com", "name": "string", "kind": "to", "status": "accepted" } ], "suppressed_recipients": [ "string" ], "tags": [ "string" ], "message_id": "string", "provider_message_id": "string", "idempotency_key": "string", "last_error": "string", "created_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "delivered_at": "2019-08-24T14:15:22Z", "bounced_at": "2019-08-24T14:15:22Z", "complained_at": "2019-08-24T14:15:22Z", "events": [ { "type": "email.queued", "at": "2019-08-24T14:15:22Z" } ] } ], "meta": { "page": 0, "perPage": 0, "total": 0, "totalPages": 0, "nextCursor": "string" }, "error": null}